public static interface SpringWebserviceEndpointBuilderFactory.SpringWebserviceBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder |
springWs(String path)
Spring WebService (camel-spring-ws)
Access external web services as a client or expose your own web
services.
|
default SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder |
springWs(String componentName,
String path)
Spring WebService (camel-spring-ws)
Access external web services as a client or expose your own web
services.
|
default SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder springWs(String path)
spring-ws:type:lookupKey:webServiceEndpointUri
Path parameter: type
Endpoint mapping type if endpoint mapping is used. rootqname - Offers
the option to map web service requests based on the qualified name of
the root element contained in the message. soapaction - Used to map
web service requests based on the SOAP action specified in the header
of the message. uri - In order to map web service requests that
target a specific URI. xpathresult - Used to map web service requests
based on the evaluation of an XPath expression against the incoming
message. The result of the evaluation should match the XPath result
specified in the endpoint URI. beanname - Allows you to reference an
org.apache.camel.component.spring.ws.bean.CamelEndpointDispatcher
object in order to integrate with existing (legacy) endpoint mappings
like PayloadRootQNameEndpointMapping, SoapActionEndpointMapping, etc
There are 8 enums and the value can be one of: ROOT_QNAME, ACTION,
TO, SOAP_ACTION, XPATHRESULT, URI, URI_PATH, BEANNAME
Path parameter: lookupKey
Endpoint mapping key if endpoint mapping is used
Path parameter: webServiceEndpointUri
The default Web Service endpoint uri to use for the producer.
Path parameter: expression
The XPath expression to use when option type=xpathresult. Then this
option is required to be configured.path - type:lookupKey:webServiceEndpointUridefault SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder springWs(String componentName, String path)
spring-ws:type:lookupKey:webServiceEndpointUri
Path parameter: type
Endpoint mapping type if endpoint mapping is used. rootqname - Offers
the option to map web service requests based on the qualified name of
the root element contained in the message. soapaction - Used to map
web service requests based on the SOAP action specified in the header
of the message. uri - In order to map web service requests that
target a specific URI. xpathresult - Used to map web service requests
based on the evaluation of an XPath expression against the incoming
message. The result of the evaluation should match the XPath result
specified in the endpoint URI. beanname - Allows you to reference an
org.apache.camel.component.spring.ws.bean.CamelEndpointDispatcher
object in order to integrate with existing (legacy) endpoint mappings
like PayloadRootQNameEndpointMapping, SoapActionEndpointMapping, etc
There are 8 enums and the value can be one of: ROOT_QNAME, ACTION,
TO, SOAP_ACTION, XPATHRESULT, URI, URI_PATH, BEANNAME
Path parameter: lookupKey
Endpoint mapping key if endpoint mapping is used
Path parameter: webServiceEndpointUri
The default Web Service endpoint uri to use for the producer.
Path parameter: expression
The XPath expression to use when option type=xpathresult. Then this
option is required to be configured.componentName - to use a custom component name for the endpoint
instead of the default namepath - type:lookupKey:webServiceEndpointUriApache Camel